import * as basicValidation from "./basicValidation.cjs";
/**
 * This function validates the inputs of a POST request on /booking
 */
export function validatePostBookingInput(body) {
    if (!basicValidation.validatePostBookingRequestBodyRequest(body)) {
        validatePostBookingInput.errors = basicValidation.validatePostBookingRequestBodyRequest.errors;
        return false;
    }
    return true;
}
/**
 * This function validates the outputs to a POST request on /booking
 */
export function validatePostBookingOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!basicValidation.validatePostBookingResponse200Response(response.body)) {
            validatePostBookingOutput.errors = basicValidation.validatePostBookingResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 500) {
        if (!basicValidation.validatePostBookingResponse500Response(response.body)) {
            validatePostBookingOutput.errors = basicValidation.validatePostBookingResponse500Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 503) {
        return true;
    }
    validatePostBookingOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs of a PATCH request on /booking/{ID}
 */
export function validatePatchBookingByIDInput(parameters, body) {
    if (parameters) {
        if (!basicValidation.validateIDRequest(parameters["ID"])) {
            validatePatchBookingByIDInput.errors = basicValidation.validateIDRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    if (!basicValidation.validatePatchBookingByIDRequestBodyRequest(body)) {
        validatePatchBookingByIDInput.errors = basicValidation.validatePatchBookingByIDRequestBodyRequest.errors;
        return false;
    }
    return true;
}
/**
 * This function validates the outputs to a PATCH request on /booking/{ID}
 */
export function validatePatchBookingByIDOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!basicValidation.validatePatchBookingByIDResponse200Response(response.body)) {
            validatePatchBookingByIDOutput.errors = basicValidation.validatePatchBookingByIDResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        if (!basicValidation.validatePatchBookingByIDResponse400Response(response.body)) {
            validatePatchBookingByIDOutput.errors = basicValidation.validatePatchBookingByIDResponse400Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 423) {
        return true;
    }
    if (response.status === 500) {
        if (!basicValidation.validatePatchBookingByIDResponse500Response(response.body)) {
            validatePatchBookingByIDOutput.errors = basicValidation.validatePatchBookingByIDResponse500Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 503) {
        return true;
    }
    validatePatchBookingByIDOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs of a DELETE request on /booking/{ID}
 */
export function validateDeleteBookingByIDInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateIDRequest(parameters["ID"])) {
            validateDeleteBookingByIDInput.errors = basicValidation.validateIDRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    return true;
}
/**
 * This function validates the outputs to a DELETE request on /booking/{ID}
 */
export function validateDeleteBookingByIDOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 423) {
        return true;
    }
    if (response.status === 500) {
        if (!basicValidation.validateDeleteBookingByIDResponse500Response(response.body)) {
            validateDeleteBookingByIDOutput.errors = basicValidation.validateDeleteBookingByIDResponse500Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 503) {
        return true;
    }
    validateDeleteBookingByIDOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs of a GET request on /booking/{ID}
 */
export function validateGetBookingByIDInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateIDRequest(parameters["ID"])) {
            validateGetBookingByIDInput.errors = basicValidation.validateIDRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    return true;
}
/**
 * This function validates the outputs to a GET request on /booking/{ID}
 */
export function validateGetBookingByIDOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!basicValidation.validateGetBookingByIDResponse200Response(response.body)) {
            validateGetBookingByIDOutput.errors = basicValidation.validateGetBookingByIDResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        if (!basicValidation.validateGetBookingByIDResponse500Response(response.body)) {
            validateGetBookingByIDOutput.errors = basicValidation.validateGetBookingByIDResponse500Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 503) {
        return true;
    }
    validateGetBookingByIDOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs of a DELETE request on /booking/{ID}/destroy
 */
export function validateDeleteBookingByIDDestroyInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateIDRequest(parameters["ID"])) {
            validateDeleteBookingByIDDestroyInput.errors = basicValidation.validateIDRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    return true;
}
/**
 * This function validates the outputs to a DELETE request on /booking/{ID}/destroy
 */
export function validateDeleteBookingByIDDestroyOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 423) {
        return true;
    }
    if (response.status === 500) {
        if (!basicValidation.validateDeleteBookingByIDDestroyResponse500Response(response.body)) {
            validateDeleteBookingByIDDestroyOutput.errors = basicValidation.validateDeleteBookingByIDDestroyResponse500Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 503) {
        return true;
    }
    validateDeleteBookingByIDDestroyOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
//# sourceMappingURL=requestValidation.js.map