/**
 * This file was automatically generated by openapi-codegeneration.
 * DO NOT MODIFY IT BY HAND. Instead, modify the source OpenAPI file,
 * and run openapi-codegeneration to regenerate this file.
 */
import express from "express";
import operations from "../operations/index.js";
import { ValidationError } from "./types.js";
import { validatePostBookingInput, validatePostBookingOutput, validatePatchBookingByIDInput, validatePatchBookingByIDOutput, validateDeleteBookingByIDInput, validateDeleteBookingByIDOutput, validateGetBookingByIDInput, validateGetBookingByIDOutput, validateDeleteBookingByIDDestroyInput, validateDeleteBookingByIDDestroyOutput } from "./requestValidation.js";
export default function router() {
    const router = express.Router();
    router.post("/booking", async (req, res, next) => {
        const body = req.body;
        try {
            if (!validatePostBookingInput(body)) {
                throw new ValidationError("Request validation failed", validatePostBookingInput.errors, 400);
            }
            const result = await operations.postBooking(req, body);
            if (!validatePostBookingOutput(result)) {
                throw new ValidationError("Response validation failed", validatePostBookingOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.patch("/booking/:ID", async (req, res, next) => {
        const parameters = {
            "ID": req.params["ID"]
        };
        const body = req.body;
        try {
            if (!validatePatchBookingByIDInput(parameters, body)) {
                throw new ValidationError("Request validation failed", validatePatchBookingByIDInput.errors, 400);
            }
            const result = await operations.patchBookingByID(req, parameters, body);
            if (!validatePatchBookingByIDOutput(result)) {
                throw new ValidationError("Response validation failed", validatePatchBookingByIDOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.delete("/booking/:ID", async (req, res, next) => {
        const parameters = {
            "ID": req.params["ID"]
        };
        try {
            if (!validateDeleteBookingByIDInput(parameters)) {
                throw new ValidationError("Request validation failed", validateDeleteBookingByIDInput.errors, 400);
            }
            const result = await operations.deleteBookingByID(req, parameters);
            if (!validateDeleteBookingByIDOutput(result)) {
                throw new ValidationError("Response validation failed", validateDeleteBookingByIDOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.get("/booking/:ID", async (req, res, next) => {
        const parameters = {
            "ID": req.params["ID"]
        };
        try {
            if (!validateGetBookingByIDInput(parameters)) {
                throw new ValidationError("Request validation failed", validateGetBookingByIDInput.errors, 400);
            }
            const result = await operations.getBookingByID(req, parameters);
            if (!validateGetBookingByIDOutput(result)) {
                throw new ValidationError("Response validation failed", validateGetBookingByIDOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.delete("/booking/:ID/destroy", async (req, res, next) => {
        const parameters = {
            "ID": req.params["ID"]
        };
        try {
            if (!validateDeleteBookingByIDDestroyInput(parameters)) {
                throw new ValidationError("Request validation failed", validateDeleteBookingByIDDestroyInput.errors, 400);
            }
            const result = await operations.deleteBookingByIDDestroy(req, parameters);
            if (!validateDeleteBookingByIDDestroyOutput(result)) {
                throw new ValidationError("Response validation failed", validateDeleteBookingByIDDestroyOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    return router;
}
//# sourceMappingURL=routes.js.map